Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 22 lines (18 sloc) 0.515 kb
565e80c7 »
2010-01-28 Changing project name to require
1 require "#{File.dirname(__FILE__)}/lib/require"
0ecd9ae9 »
2010-01-26 First commit
2
b614be6a »
2010-02-06 Fixed more issues with requiring projects that use Require
3 Require do
0ecd9ae9 »
2010-01-26 First commit
4
eecba51f »
2010-01-27 Improved DSL, version bump (0.1.2)
5 gem(:rake, '=0.8.7') { require 'rake' }
565e80c7 »
2010-01-28 Changing project name to require
6 gem(:rspec, '=1.3.0')
0ecd9ae9 »
2010-01-26 First commit
7
eecba51f »
2010-01-27 Improved DSL, version bump (0.1.2)
8 gemspec do
9 author 'Winton Welsh'
10 email 'mail@wintoni.us'
565e80c7 »
2010-01-28 Changing project name to require
11 name 'require'
eecba51f »
2010-01-27 Improved DSL, version bump (0.1.2)
12 homepage "http://github.com/winton/#{name}"
ea126b41 »
2010-01-28 README, version bump
13 summary "Manage your project's dependencies with a pretty DSL"
e9153c39 »
2010-04-08 Version 0.2.7
14 version '0.2.7'
0ecd9ae9 »
2010-01-26 First commit
15 end
16
eecba51f »
2010-01-27 Improved DSL, version bump (0.1.2)
17 rakefile do
18 gem(:rake) { require 'rake/gempackagetask' }
19 gem(:rspec) { require 'spec/rake/spectask' }
565e80c7 »
2010-01-28 Changing project name to require
20 require 'lib/require/tasks'
eecba51f »
2010-01-27 Improved DSL, version bump (0.1.2)
21 end
0ecd9ae9 »
2010-01-26 First commit
22 end
Something went wrong with that request. Please try again.